#### D.15.2.7 latticePoints

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  latticePoints(NP); NP list as given by @ref(newtonPolygon)

Return:
  a list of all the points lying on NP

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    list NP = newtonPolygon(f);
    latticePoints(NP);
    ==> [1]:
    ==>    0,8
    ==> [2]:
    ==>    1,6
    ==> [3]:
    ==>    2,4
    ==> [4]:
    ==>    3,3
    ==> [5]:
    ==>    4,2
    ==> [6]:
    ==>    9,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.